Subject: Re: [PATCH v2 3/3] net: tls: Add ARIA-GCM algorithm

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Jul 2022 20:10:09 -0700

On Mon,  4 Jul 2022 09:42:50 +0000 Taehee Yoo wrote:
> RFC 6209 describes ARIA for TLS 1.2.
> ARIA-128-GCM and ARIA-256-GCM are defined in RFC 6209.
> 
> This patch would offer performance increment and an opportunity for
> hardware offload.

Is it okay if you send the crypto patches now and the TLS support after
the merge window? They go via different trees and we can't take the TLS
patches until we get the crypto stuff in net-next. We could work
something out and create a stable branch that both Herbert and us would
pull but we're getting close to the merge window, perhaps we can just
wait?